import { TransactionInfo } from "types";
import { HttpProviderOptions, JsonRpcPayload, JsonRpcResponse } from 'web3-core-helpers';
export declare class SentioProvider {
    transactionInfo: TransactionInfo;
    chainId: string;
    host: string;
    txnHash: string;
    constructor(host: string, options?: HttpProviderOptions);
    init(txnHash: string, chainId: string): Promise<void>;
    getAffectedContract(txHash: string): Promise<any>;
    getDebugTraceStream(txHash: string, callback: (steps: any[]) => void): Promise<void>;
    send(payload: JsonRpcPayload, callback: (error: Error | null, result?: JsonRpcResponse | undefined) => void): void;
    supportsSubscriptions(): boolean;
    disconnect(): void;
}
